* {
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
}

body {
	margin: 0;
	padding: 0;
	font-size: 0.875em;
	font-family: monospace, Arial, Helvetica, sans-serif;
	color: white;
	background-color: #101010;
}

h1 {
	margin: 0 0 0.25em 0;
}

h2 {
	border-left: 0.25em solid rgb(50, 28, 194);
	background-image: linear-gradient(90deg,rgb(110, 28, 233) 0%, rgb(29, 55, 253) 50%, rgba(4, 7, 12, 0.05) 100%);
	margin: 0 0 0.25em 0;
	padding: 0 0 0 0.325em;
}

h3 {
	border-left: 0.25em solid hotpink;
	background-image: linear-gradient(90deg,rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 35%, rgba(4, 7, 12, 0.05) 100%);
	margin: 0 0 0.25em 0;
	padding: 0 0 0 0.325em;
}

p {
	margin: 0.5rem;
	text-indent: 1rem;
}

blockquote {
	border-left: 2px dotted hotpink;
	border-radius: 8px;
	padding: 0 0 0 0.325em;
}

img {
	display: block;
	width: 100%;
	height: auto;
}

.thumbnail {
	border: 2px solid white;
}

.container {
	margin: 0 auto;
	padding: 0.25em;
	width: 43.75em;
	margin-top: 1em;
	margin-bottom: 1em;
}

.name {
	text-align: right;
	text-shadow:
  1px 1px 2px rgb(191, 0, 255),
  0 0 1em blue,
  0 0 0.2em blue;
	padding-right: 0.5em;
}

.character-grid {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	justify-content: center;
	align-items: center;
	gap: 0.75em;
	padding: 0.75em;
}

.character-grid .grid-item {
	border: 2px solid rgb(237, 85, 108);
}

.scrollbox {
	border: 2px solid black;
	max-height: 12.5em;
	padding: 0.25em;
	overflow-y: scroll;
	margin-bottom: 0.25em;

	scrollbar-color: rgb(3, 3, 155) rgb(31, 49, 241);
	scrollbar-width: thin;
}

.textbox {
	margin-bottom: 0.25em;
}

.char-name {
	border-left: 0.25em solid rgb(184, 20, 124);
	background-image: linear-gradient(90deg,rgba(131, 58, 180, 1) 0%, rgba(253, 29, 29, 1) 50%, rgba(4, 7, 12, 0.05) 100%);
}

.char-desc {
	scroll-margin-top: 350px;
	margin-bottom: 0.5em;
}

.content-box {
	border: 1px solid purple;
	padding: 0.25em;
	display: grid;
	grid-template-columns: 150px 1fr;
	gap: 0.5em;
}

.scroll-desc {
	max-height: 540px;
	overflow-y: scroll;
	padding: 0.5em;
	margin-bottom: 0.25em;

	scrollbar-color: purple black;
	scrollbar-width: thin;
}

.navbar-container {
	display: flex;
	justify-content: space-evenly;
	margin-bottom: 0.25em;
}

#a, #b, #c {
	display: none;
}

#a:target {
	display: block;
}

#b:target {
	display: block;
}

#c:target {
	display: block;
}

a[href] {
	font-size: 20px;
	color: rgb(23, 23, 255);
	text-decoration: none;
}

a[href]:visited {
	color: rgb(143, 25, 216);
}

a:hover .grid-item {
	border: 2px solid #710193;
}

@media (max-width: 43.75em) {
  .container {
	width: 100%;
  }
}